using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace DataManipulation
{
    public class SampleDataSource
    {
        private ObservableCollection<SampleItem> _allItems = new ObservableCollection<SampleItem>();

        public SampleDataSource()
        {
            _allItems.Add(new SampleItem("Top-N",
                "Top-N",
                "The sample below shows how to exclude the points with small values from the chart except the Top-N points. You can also aggregate them into a single cumulative point by selecting the Show Others checkbox.",
                new TopNView()));
            _allItems.Add(new SampleItem("Sorting",
               "Sorting",
               "The sample below shows how to sort series data in an ascending or descending order. You can also sort the data according to your customizable order, such as the match of two series in this example.",
               new SortingView()));
            _allItems.Add(new SampleItem("Aggregate",
                "Aggregate",
                "The sample below shows how to show an aggregated view of a large amount of data. You can also specify on what function you would like to use to aggregate the data.",
                new AggregateView()));
        }

        public ObservableCollection<SampleItem> AllItems
        {
            get { return _allItems; }
        }
    }
}
